<template>
  <div class="detail" style="width: 5rem">
    <el-table :data="tableData" style="width: 100%;" height="2.07rem">
      <el-table-column prop="LabMonTime" label="检测时间"></el-table-column>
      <el-table-column label="COD">
        <el-table-column prop="LabMonValue" label="监测值" width="80"></el-table-column>
        <el-table-column prop="LabMonValue" label="标准值" width="80"></el-table-column>
      </el-table-column>
      <el-table-column label="氨氮">
        <el-table-column prop="LabMonValue" label="监测值" width="80"></el-table-column>
        <el-table-column prop="LabMonValue" label="标准值" width="80"></el-table-column>
      </el-table-column>
      <el-table-column label="总磷">
        <el-table-column prop="LabMonValue" label="监测值" width="80"></el-table-column>
        <el-table-column prop="LabMonValue" label="标准值" width="80"></el-table-column>
      </el-table-column>
      <el-table-column label="总氮">
        <el-table-column prop="LabMonValue" label="监测值" width="80"></el-table-column>
        <el-table-column prop="LabMonValue" label="标准值" width="80"></el-table-column>
      </el-table-column>
      <!--      <el-table-column-->
      <!--          fixed="right"-->
      <!--          label="苯">-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="LabMonValue"-->
      <!--            label="监测值">-->
      <!--        </el-table-column>-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="StdValue"-->
      <!--            label="标准值">-->
      <!--        </el-table-column>-->
      <!--      </el-table-column>-->
    </el-table>
  </div>
</template>

<script>

// import PublicDataStandard from '../PublicDataStandard'
// import mapApi from '@/api/mapApi'
import mapApi from '../../../api/mapApi'
import 'dayjs/locale/es'
import dayjs from 'dayjs'

export default {
  name: 'Detail',
  components: {
    // PublicDataStandard
  },
  data () {
    return {
      tableData: [],
      timeEnd: dayjs().format('YYYY-MM-DD HH:mm:ss'),
      timeStart: dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
    }
  },
  mounted () {
    this.initdetail()
  },
  methods: {
    async initdetail () {
      const timeEnd = dayjs().format('YYYY-MM-DD HH:mm:ss')
      var timeStart = null
      var oDate = new Date()
      var year = oDate.getFullYear()
      if ((year % 4 === 0 && year % 100 !== 0) || year % 400 === 0) { // 判断是平年还是闰年
        timeStart = dayjs().subtract(366, 'day').format('YYYY-MM-DD HH:mm:ss')
      } else {
        timeStart = dayjs().subtract(365, 'day').format('YYYY-MM-DD HH:mm:ss')
      }
      const data = {
        poltSourceId: '',
        poltMtrlId: '',
        companyCode: '',
        emissTypeId: '',
        monItemId: 28,
        companyId: 3900100145,
        labMonPointId: 219,
        beginTime: timeStart,
        endTime: timeEnd
      }
      const result = (await mapApi.getQueryLabMonData(data)).Result.DataInfo
      // console.log(result)
      this.tableData = result
      for (let i = 0; i < result.length; i++) {
        if (result[i].LabMonValue === '0') {
          return '-'
        }
      }
    }
  }
}

</script>

<style scoped>
/deep/ .el-table--border::after, .el-table--group::after, .el-table::before {
  background: none;
}

/*/deep/ .el-table {*/
/*  border: none !important;*/
/*}*/
</style>
